﻿@model IEnumerable<BusinessInterest>
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Let's see if you have any business interests</h4>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-businessInterest-add mb-2"><i class="fas fa-plus"></i>New Business Interest</button>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height" id="businessInterest-main-div">
    @foreach (var item1 in Model.OrderBy(i => i.businessInterestOf).GroupBy(m => m.businessInterestOf))
    {
        <div id="bussiness-@((int)item1.Key)">
            @foreach (var item in item1.OrderBy(m => m.businessInterestOf))
            {
                var color = item.businessInterestOf == ClientTypeEnum.Client ? "#b00022" : "#008080";
                <div class="card card-custom gutter-b shadow-none bg-gray-100 business-info-div" id="businessinterest-info-div-@item.Guid" style="border:1px solid @color">
                    <div class="card-header heir-header" style="background: @color">
                        <span class="card-title font-weight-bold font-size-h4 text-white">
                            @item.BusinessName - @item.businessInterestOfEnumString
                        </span>
                        <div class="card-toolbar m-0">
                            <div class="example-tools">
                                <button class="btn btn-icon btn-sm btn-businessInterest-edit" data-guid="@item.Guid">
                                    <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                                </button>
                                <button class="btn btn-icon btn-sm btn-businessInterest-delete" data-guid="@item.Guid">
                                    <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold align-self-start p-0">Entity Firm:</span>
                                <span class="col-md-6 p-0">@item.EntityFirmEnum.GetDisplayName()</span>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Firm Ownership:</span>
                                <span class="col-md-6 p-0">@item.FirmOwnerShipString</span>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Amount of Ownership(%):</span>
                                <span class="col-md-6 p-0">@(item.AmountOfOwnership > 0 ? $"{item.AmountOfOwnership.ToString()}%" : "-")</span>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Fair Market Value:</span>
                                <span class="col-md-6 p-0">@(item.FMVofBusiness > 0 ? string.Format("{0:C0}", item.FMVofBusiness) : "-")</span>
                            </div>
                            @if (item.LastReviewedEnum > 0)
                            {
                                <div class="d-flex justify-content-between align-items-center">
                                    <span class="col-md-6 text-dark font-weight-bold p-0">Last Reviewed:</span>
                                    <span class="col-md-6 p-0">@item.LastReviewedEnum.GetDisplayName()</span>
                                </div>
                            }
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Plans for Closely Held Business?</span>
                                <span class="col-md-6 p-0">@item.closelyheldbusinessEnum.GetDisplayName()</span>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Projected Value at Retirement:</span>
                                <span class="col-md-6 align-self-end p-0">@(item.PBValueatRetirement > 0 ? string.Format("{0:C0}", item.PBValueatRetirement) : "-")</span>
                            </div>
                            <div class="d-flex justify-content-between align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Buy/Sell Contract Currently in Place?</span>
                                <span class="col-md-6 align-self-end p-0">@(item.BSContractCurrently ? "Yes" : "No")</span>
                            </div>
                            @if (item.BSContractCurrently == true)
                            {
                                <div class="d-flex justify-content-between align-items-center">
                                    <span class="col-md-6 text-dark font-weight-bold p-0">Funded Life Insurance?</span>
                                    <span class="col-md-6 align-self-end p-0">@(item.FundedLifeIns ? "Yes" : "No")</span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            }
        </div>
    }
</div>
<partial name="_WizardFooter" />
<div class="modal" id="BusinessInterestModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    $("#btn-submit").addClass("btn-next");
    $("#wizard-main-div").on("click", ".btn-businessInterest-add,.btn-businessInterest-edit", function() {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`income/businessInterestInfo?guid=${id}`, "BusinessInterestModal");
    });
    $("#wizard-main-div").on("click", ".btn-businessInterest-delete", function() {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function(result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`income/DeleteBusinessInterest?guid=${guid}`, function() {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(".business-info-div").remove();
                        setTimeout(function() { KTApp.unblockPage(); }, 1000);
                    });
                }
            });
    });
</script>